On 9 August 2010 11:48, Laurence Rowe <l...@lrowe.co.uk> wrote:
> I've added a PLIP for separating out the optional dependencies from
> Products.CMFPlone: https://dev.plone.org/plone/ticket/10877

I've created branches and a PLIP buildout. For the time being the
optional dependencies are still in the Products.CMFPlone egg. The
process of moving and verifying exactly which packages are optional
can take place over the 4.1 cycle.

I've also created a forward compatibility shim for Plone 4.0/3.3 so
that add-on packages can be created that work with 4.0 and  4.1
without pulling in all the optional packages. I think we should
consider adding this to the 4.0 versions.cfg.

Links at https://dev.plone.org/plone/ticket/10877

Laurence
_______________________________________________
Framework-Team mailing list
Framework-Team@lists.plone.org
http://lists.plone.org/mailman/listinfo/framework-team

Reply via email to